Bug 861480 - Gimp 2.8.2 freeze or/and crash after exporting picture
Gimp 2.8.2 freeze or/and crash after exporting picture
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 15:18 EDT by arithmos
Modified: 2013-08-01 01:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:50:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace -o gimp-trace.txt gimp "alpha.JPG" (886.40 KB, application/x-gzip)
2012-09-28 15:24 EDT, arithmos
no flags Details

  None (edit)
Description arithmos 2012-09-28 15:18:26 EDT
Description of problem:

Exporting a picture just after is was loaded from gimp 2.8.2 or by linked application on file, make gimp freeze and crash.

Version-Release number of selected component (if applicable):
gimp.x86_64 2:2.8.2-1.fc17

How reproducible:

Always but see additional info

Steps to Reproduce:
1.Start Gimp 2.8.2
2.Load a picture
3.Export picture
  
Actual results:

Freeze and crash gimp 2.8.2

Expected results:


Additional info:

However if the file is present, replace the file during exporting make gimp running well without any freeze or crash.
Comment 1 arithmos 2012-09-28 15:24:08 EDT
Created attachment 618720 [details]
strace -o gimp-trace.txt gimp "alpha.JPG"
Comment 2 Jason Farrell 2012-10-23 21:40:15 EDT
This bug has been plaguing me since F17 was released, and is still present with gimp-2.8.2-1.fc17.x86_64

How to reproduce:
1) nuke the ~/.gimp-2.8 so we're starting fresh
2) start gimp
3) file > new
4) ctrl-shift-N to export a PNG, and give it a unique filename (overwr
5) repeat 4 until you crash.

The crash happens almost every time for me, but not always.
Comment 3 Nils Philippsen 2012-11-06 11:19:58 EST
I can't reproduce this, neither with loading an existing image, nor with a new one. Can any of you run this under a debugger after installing the necessary debuginfo packages ("debuginfo-install gimp") and generate a backtrace to attach here? Thanks.
Comment 4 Fedora End Of Life 2013-07-03 21:26:26 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 01:50:42 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.